Bug 427060 - Review Request: dot2tex - A Graphviz to LaTeX converter
Review Request: dot2tex - A Graphviz to LaTeX converter
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-30 14:05 EST by Jim Radford
Modified: 2008-04-01 00:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-01 00:15:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jim Radford 2007-12-30 14:05:48 EST
Spec URL: http://blackbean.org/review/dot2tex.spec
SRPM URL: http://blackbean.org/review/dot2tex-2.7.0-1.fc8.src.rpm

Dot2tex is a tool for converting graphs rendered by Graphviz to formats
that can be used with LaTeX.
Comment 1 Huzaifa S. Sidhpurwala 2008-01-04 04:25:52 EST
Are you are first time contributor?
In that case i cannot sponsor you, but only comment.
Your spec looks ok and rpmlint is happy with your srpm too.

So i guess everything looks ok.
Comment 2 Jim Radford 2008-01-04 08:52:42 EST
(In reply to comment #1)
> Are you are first time contributor?

More or less.  I have submitted one other spec.

> Your spec looks ok and rpmlint is happy with your srpm too.
> So i guess everything looks ok.

Great.  Thanks.

Comment 3 Mamoru TASAKA 2008-01-11 10:37:52 EST
Just tried to rebuild but it failed on dist-f9.

http://koji.fedoraproject.org/koji/taskinfo?taskID=341768
(especially please check build.log. For F-9+, egg-info file is
 created).
Comment 4 Jim Radford 2008-01-11 12:06:11 EST
Spec URL: http://blackbean.org/review/dot2tex-2.spec
SRPM URL: http://blackbean.org/review/dot2tex-2.7.0-2.fc8.src.rpm

Fixed fc9 build by adding the newly generated python egg-info file.
Comment 5 Mamoru TASAKA 2008-01-12 12:46:32 EST
Well, for 2.7.0-2:

* non-executable-script rpmlint
--------------------------------------------------------------
[tasaka1@localhost ~]$ rpmlint dot2tex
dot2tex.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/dot2tex/dot2tex.py 0644
[tasaka1@localhost ~]$ rpmlint -I non-executable-script
non-executable-script :
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

--------------------------------------------------------------
  - This file (dot2tex.py) has shebangs but does not have executable
    permission. For this file it seems that shebangs should be removed.

* Documents
  - Are files under doc/ directory or examples/ directory not useful
    for documents? Please consider to add them as %doc.

Then as this is NEEDSPONSOR ticket:
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on:
http://fedoraproject.org/PackageReviewStatus/NEW.html
(NOTE: please don't choose "Merge Review")


Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 6 Mamoru TASAKA 2008-01-20 10:14:00 EST
ping?
Comment 7 Jim Radford 2008-01-23 14:16:50 EST
> [tasaka1@localhost ~]$ rpmlint dot2tex
> dot2tex.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/dot2tex/dot2tex.py 0644

This is a spurious warning.  Files in site-packages are not meant to be run
directly, though this one just happens to be able to.
Comment 8 Jim Radford 2008-01-23 14:34:32 EST
(In reply to comment #5)
> When you have submitted a new review request [...] please write the bug number
on this bug report so that I can check your [...] review request.

I have (previously) submitted this review request.

   https://bugzilla.redhat.com/show_bug.cgi?id=409361
Comment 9 Mamoru TASAKA 2008-01-24 00:20:00 EST
Well, how about this?

(In reply to comment #5)
> * Documents
>   - Are files under doc/ directory or examples/ directory not useful
>     for documents? Please consider to add them as %doc.
> 
Comment 10 Jim Radford 2008-01-24 00:39:40 EST
(In reply to comment #9)
> Well, how about this?

My apologies.  I had somehow missed that comment.

> (In reply to comment #5)
> > * Documents
> >   - Are files under doc/ directory or examples/ directory not useful
> >     for documents? Please consider to add them as %doc.

Good idea.  Updated.

Spec URL: http://blackbean.org/review/dot2tex-3.spec
SRPM URL: http://blackbean.org/review/dot2tex-2.7.0-3.fc8.src.rpm
Comment 11 Mamoru TASAKA 2008-01-24 10:13:04 EST
Well, this time from $ rpmlint dot2tex:

---------------------------------------------------------
dot2tex.noarch: W: wrong-file-end-of-line-encoding
/usr/share/doc/dot2tex-2.7.0/examples/automata.dot
dot2tex.noarch: W: wrong-file-end-of-line-encoding
/usr/share/doc/dot2tex-2.7.0/examples/graphanndtti.tex
dot2tex.noarch: W: wrong-file-end-of-line-encoding
/usr/share/doc/dot2tex-2.7.0/doc/docgraphs/tmp.dot
dot2tex.noarch: W: wrong-file-end-of-line-encoding
/usr/share/doc/dot2tex-2.7.0/examples/tank.dot
dot2tex.noarch: W: wrong-file-end-of-line-encoding
/usr/share/doc/dot2tex-2.7.0/doc/docgraphs/ex1tmp.dot
----------------------------------------------------------
These files has CRLF (Windows-type) line terminators.
Please fix them to Unix-type liine terminators (by dos2unix
or sed -i -e 's|\r||' ).
Comment 12 Jim Radford 2008-01-24 11:22:39 EST
(In reply to comment #11)
> Well, this time from $ rpmlint dot2tex:

> dot2tex.noarch: W: wrong-file-end-of-line-encoding
> /usr/share/doc/dot2tex-2.7.0/examples/automata.dot

Spec URL: http://blackbean.org/review/dot2tex-4.spec
SRPM URL: http://blackbean.org/review/dot2tex-2.7.0-4.fc8.src.rpm
Comment 13 Mamoru TASAKA 2008-01-24 11:57:37 EST
Well,

- Now dot2tex itself is okay
- Your another review request (bug 409361) is now pending due to
  sendmail license issue, however your spec file itself seems good
  from a very quick glance.

---------------------------------------------------------------------
   This package (dot2tex) is APPROVED by me
---------------------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
At a point a mail should be sent to sponsor members which notifies
that you need a sponsor. At the stage, please also write on
this bug for confirmation that you requested for sponsorship and
your FAS (Fedora Account System) name. Then I will sponsor you.

If you want to import this package into Fedora 7/8, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.
Comment 14 Mamoru TASAKA 2008-02-02 13:23:23 EST
ping?
Comment 15 Mamoru TASAKA 2008-02-11 09:40:41 EST
ping again?
Comment 16 Jim Radford 2008-02-11 12:57:51 EST
I am waiting for my account.
Comment 17 Mamoru TASAKA 2008-02-11 13:04:31 EST
Would you write here for what FAS (Fedora Account System) name
are you requesting for being sponsored?
Comment 18 Jim Radford 2008-02-11 18:15:39 EST
(In reply to comment #17)
> Would you write here for what FAS (Fedora Account System) name
> are you requesting for being sponsored?

My account, radford, seems to be set up now.
Comment 19 Mamoru TASAKA 2008-02-11 21:06:29 EST
Okay, now I should be sponsoring you. Please follow "Join" wiki
again.
Comment 20 Mamoru TASAKA 2008-03-08 11:05:15 EST
ping?
Comment 21 Mamoru TASAKA 2008-03-14 12:51:10 EDT
ping again?
Comment 22 Mamoru TASAKA 2008-03-29 14:18:50 EDT
Jim, would you update this bug followed by
http://fedoraproject.org/wiki/PackageMaintainers/Join ?
Comment 23 Jim Radford 2008-03-29 18:06:00 EDT
New Package CVS Request
=======================
Package Name: dot2tex
Short Description: A Graphviz to LaTeX converter
Owners: radford
Branches: 
InitialCC: 
Cvsextras Commits: yes
Comment 24 Kevin Fenzi 2008-03-31 12:40:27 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.